#!/usr/bin/env python
# coding=utf-8
"""
Copyright © Huawei Technologies Co., Ltd. 2001-2019. All rights reserved.
description     :   list cproc csdr 1x msg
modify  record  :   2016-03-10 create file
"""

cproc_csdr_1x_msg_enum_table_0000 = {
    0x2FF3    : "ID_CSDR_CBT_1X_DDR_RAM_BASE_ADDR_IND",    
    0x00A0    : "ID_CPROC_CSDR_1X_CONTINUE_REQ",
    0x00A1    : "ID_CPROC_CSDR_1X_START_MEAS_REQ",
    0x00A2    : "ID_CSDR_CPROC_1X_MEAS_IND",
    0x00A3    : "ID_CPROC_CSDR_1X_STOP_MEAS_REQ",
    0x00A4    : "ID_CPROC_CSDR_1X_START_MPS_REQ",
    0x00A5    : "ID_CSDR_CPROC_1X_MPS_IND",
    0x00A6    : "ID_CPROC_CSDR_1X_BUFFER_REQ",
    0x00A7    : "ID_CSDR_CPROC_1X_BUFFER_IND",
    0x00A8    : "ID_CPROC_CSDR_1X_STOP_MPS_REQ",
    0x00A9    : "ID_CPROC_CSDR_1X_UPDATE_MPS_REQ",
    0x00AA    : "ID_CSDR_CPROC_1X_CELL_SEARCH_IND",
    0x00AB    : "ID_CPROC_CSDR_1X_SM_SET_WORK_MODE_REQ",
    0x00AC    : "ID_CSDR_CPROC_1X_SM_SET_WORK_MODE_CNF",
    0x00AD    : "ID_CPROC_CSDR_1X_SIGNAL_LEVEL_REQ",
    0x00AE    : "ID_CSDR_CPROC_1X_SIGNAL_LEVEL_IND",
    0x00AF    : "ID_CPROC_CSDR_1X_PILOT_SEARCH_REQ",
    0x00B0    : "ID_CSDR_CPROC_1X_PILOT_SEARCH_IND",
    0x00B1    : "ID_CPROC_CSDR_1X_SM_RELEASE_ALL_REQ",
    0x00B2    : "ID_CSDR_CPROC_1X_SM_RELEASE_ALL_CNF",
    0x00B3    : "ID_CSDR_CPROC_1X_MEAS_CAPABILITY_IND",
    0x00B4    : "ID_CSDR_CPROC_1X_BUFFER_STOP_REQ",
    0x00B5    : "ID_CSDR_CPROC_1X_BUFFER_STOP_CNF",
    0x00B6    : "ID_CSDR_CPROC_1X_SM_BLIND_HO_MEAS_RESULT_REQ",
    0x00B7    : "ID_CSDR_CPROC_1X_RELEASE_BUFFER_REQ",
    0x0040    : "ID_CPROC_CSDR_1X_LONG_CODE_REQ",
    0x0041    : "ID_CPROC_CSDR_1X_RTCH_HALT_REQ",
    0x0042    : "ID_CPROC_CSDR_1X_RTCH_RESUME_REQ",
    0x0043    : "ID_CPROC_CSDR_1X_RF_ENVIRONMENT_REQ",
    0x0044    : "ID_CPROC_CSDR_1X_SET_WORK_MODE_REQ",
    0x0045    : "ID_CSDR_CPROC_1X_SET_WORK_MODE_CNF",
    0x0046    : "ID_CSDR_CPROC_1X_ACTION_IND",
    0x0047    : "ID_CPROC_CSDR_1X_SET_TIMING_REQ",
    0x0048    : "ID_CSDR_CPROC_1X_SET_TIMING_CNF",
    0x004F    : "ID_CSDR_CPROC_1X_QPCH_IND",
    0x0050    : "ID_CSDR_CPROC_1X_WAKEUP_IND",
    0x0051    : "ID_CSDR_CPROC_1X_PUF_IND",
    0x0052    : "ID_CPROC_CSDR_1X_POWER_CONTROL_CONFIG_REQ",
    0x0053    : "ID_CPROC_CSDR_1X_F_CHANNEL_CONFIG_REQ",
    0x0054    : "ID_CSDR_CPROC_1X_F_CHANNEL_CONFIG_CNF",
    0x0055    : "ID_CPROC_CSDR_1X_R_CHANNEL_CONFIG_REQ",
    0x0056    : "ID_CSDR_CPROC_1X_R_CHANNEL_CONFIG_CNF",
    0x0057    : "ID_CPROC_CSDR_1X_CHANNEL_RELEASE_REQ",
    0x0058    : "ID_CSDR_CPROC_1X_CHANNEL_RELEASE_CNF",
    0x0059    : "ID_CSDR_CPROC_1X_FER_MEAS_REPORT_IND",
    0x005A    : "ID_CPROC_CSDR_1X_CM_RELEASE_ALL_REQ",
    0x005B    : "ID_CSDR_CPROC_1X_CM_RELEASE_ALL_CNF",
    0x005C    : "ID_CPROC_CSDR_1X_OLPC_SETPOINT_CFG_REQ",
    0x005D    : "ID_CPROC_CSDR_1X_GAP_REQ",
    0x005E    : "ID_CSDR_CPROC_1X_GAIN_IND",
    0x005F    : "ID_CPROC_CSDR_1X_SET_MESSAGE_MODE_REQ",
    0x0060    : "ID_CSDR_CPROC_1X_SET_MESSAGE_MODE_CNF",
    0x0061    : "ID_CSDR_CPROC_1X_LONG_CODE_CNF",
    0x0062    : "ID_CSDR_CPROC_1X_POWER_CONTROL_CONFIG_CNF",
    0x0063    : "ID_CPROC_CSDR_1X_QPCH_CFG_REQ",
    0x0064    : "ID_CSDR_CPROC_1X_QPCH_CFG_CNF",
    0x0065    : "ID_CSDR_CPROC_1X_ERROR_IND",
    0x0066    : "ID_CPROC_CSDR_1X_ACTIVE_REQ",
    0x0067    : "ID_CSDR_CPROC_1X_ACTIVE_IND",
    0x0068    : "ID_CPROC_CSDR_AFC_PPM_REQ",
    0x0069    : "ID_CSDR_CPROC_AFC_PPM_IND",
    0x006A    : "ID_CPROC_CSDR_1X_SAR_CTRL_REQ",
    0x006B    : "ID_CPROC_CSDR_1X_SET_TEMPERATURE_REQ",
    0x006C    : "ID_CPROC_CSDR_1X_TIME_SYNC_REQ",
    0x006D    : "ID_CSDR_CPROC_1X_TIME_SYNC_IND",
    0x006E    : "ID_CPROC_CSDR_1X_TRAFFIC_INFO_REQ",
    0x006F    : "ID_CSDR_CPROC_1X_VE_MODE_IND",
    0x0070    : "ID_CPROC_CSDR_1X_WAKEUP_REQ",
    0x0071    : "ID_CSDR_CPROC_1X_WAKEUP_CNF",
    0x0100    : "ID_CPROC_CSDR_1X_RXOFF_REQ",
    0x0101    : "ID_CSDR_CPROC_1X_RXOFF_CNF",
    0x0102    : "ID_CPROC_CSDR_1X_RXON_REQ",
    0x0103    : "ID_CSDR_CPROC_1X_RXON_CNF",
    0x0104    : "ID_CPROC_CSDR_1X_SLEEP_REQ",
    0x0105    : "ID_CPROC_CSDR_1X_WAKEUP_REQ",
    0x2FF2    : "ID_CPROC_CSDR_1X_SET_POWER_REQ",
    0x2FF4    : "ID_CSDR_CPROC_1X_SET_POWER_CNF",
}

cproc_csdr_1x_msg_enum_table_0100 = {
    0x2FF3    : "ID_CSDR_CBT_1X_DDR_RAM_BASE_ADDR_IND",    
    0x00A0    : "ID_CPROC_CSDR_1X_CONTINUE_REQ",
    0x00A1    : "ID_CPROC_CSDR_1X_START_MEAS_REQ",
    0x00A2    : "ID_CSDR_CPROC_1X_MEAS_IND",
    0x00A3    : "ID_CPROC_CSDR_1X_STOP_MEAS_REQ",
    0x00A4    : "ID_CPROC_CSDR_1X_START_MPS_REQ",
    0x00A5    : "ID_CSDR_CPROC_1X_MPS_IND",
    0x00A6    : "ID_CPROC_CSDR_1X_BUFFER_REQ",
    0x00A7    : "ID_CSDR_CPROC_1X_BUFFER_IND",
    0x00A8    : "ID_CPROC_CSDR_1X_STOP_MPS_REQ",
    0x00A9    : "ID_CPROC_CSDR_1X_UPDATE_MPS_REQ",
    0x00AA    : "ID_CSDR_CPROC_1X_CELL_SEARCH_IND",
    0x00AB    : "ID_CPROC_CSDR_1X_SM_SET_WORK_MODE_REQ",
    0x00AC    : "ID_CSDR_CPROC_1X_SM_SET_WORK_MODE_CNF",
    0x00AD    : "ID_CPROC_CSDR_1X_SIGNAL_LEVEL_REQ",
    0x00AE    : "ID_CSDR_CPROC_1X_SIGNAL_LEVEL_IND",
    0x00AF    : "ID_CPROC_CSDR_1X_PILOT_SEARCH_REQ",
    0x00B0    : "ID_CSDR_CPROC_1X_PILOT_SEARCH_IND",
    0x00B1    : "ID_CPROC_CSDR_1X_SM_RELEASE_ALL_REQ",
    0x00B2    : "ID_CSDR_CPROC_1X_SM_RELEASE_ALL_CNF",
    0x00B3    : "ID_CSDR_CPROC_1X_MEAS_CAPABILITY_IND",
    0x00B4    : "ID_CSDR_CPROC_1X_BUFFER_STOP_REQ",
    0x00B5    : "ID_CSDR_CPROC_1X_BUFFER_STOP_CNF",
    0x00B6    : "ID_CSDR_CPROC_1X_SM_BLIND_HO_MEAS_RESULT_REQ",
    0x00B7    : "ID_CSDR_CPROC_1X_RELEASE_BUFFER_REQ",
    0x0040    : "ID_CPROC_CSDR_1X_LONG_CODE_REQ",
    0x0041    : "ID_CPROC_CSDR_1X_RTCH_HALT_REQ",
    0x0042    : "ID_CPROC_CSDR_1X_RTCH_RESUME_REQ",
    0x0043    : "ID_CPROC_CSDR_1X_RF_ENVIRONMENT_REQ",
    0x0044    : "ID_CPROC_CSDR_1X_SET_WORK_MODE_REQ",
    0x0045    : "ID_CSDR_CPROC_1X_SET_WORK_MODE_CNF",
    0x0046    : "ID_CSDR_CPROC_1X_ACTION_IND",
    0x0047    : "ID_CPROC_CSDR_1X_SET_TIMING_REQ",
    0x0048    : "ID_CSDR_CPROC_1X_SET_TIMING_CNF",
    0x004F    : "ID_CSDR_CPROC_1X_QPCH_IND",
    0x0050    : "ID_CSDR_CPROC_1X_WAKEUP_IND",
    0x0051    : "ID_CSDR_CPROC_1X_PUF_IND",
    0x0052    : "ID_CPROC_CSDR_1X_POWER_CONTROL_CONFIG_REQ",
    0x0053    : "ID_CPROC_CSDR_1X_F_CHANNEL_CONFIG_REQ",
    0x0054    : "ID_CSDR_CPROC_1X_F_CHANNEL_CONFIG_CNF",
    0x0055    : "ID_CPROC_CSDR_1X_R_CHANNEL_CONFIG_REQ",
    0x0056    : "ID_CSDR_CPROC_1X_R_CHANNEL_CONFIG_CNF",
    0x0057    : "ID_CPROC_CSDR_1X_CHANNEL_RELEASE_REQ",
    0x0058    : "ID_CSDR_CPROC_1X_CHANNEL_RELEASE_CNF",
    0x0059    : "ID_CSDR_CPROC_1X_FER_MEAS_REPORT_IND",
    0x005A    : "ID_CPROC_CSDR_1X_CM_RELEASE_ALL_REQ",
    0x005B    : "ID_CSDR_CPROC_1X_CM_RELEASE_ALL_CNF",
    0x005C    : "ID_CPROC_CSDR_1X_OLPC_SETPOINT_CFG_REQ",
    0x005D    : "ID_CPROC_CSDR_1X_GAP_REQ",
    0x005E    : "ID_CSDR_CPROC_1X_GAIN_IND",
    0x005F    : "ID_CPROC_CSDR_1X_SET_MESSAGE_MODE_REQ",
    0x0060    : "ID_CSDR_CPROC_1X_SET_MESSAGE_MODE_CNF",
    0x0061    : "ID_CSDR_CPROC_1X_LONG_CODE_CNF",
    0x0062    : "ID_CSDR_CPROC_1X_POWER_CONTROL_CONFIG_CNF",
    0x0063    : "ID_CPROC_CSDR_1X_QPCH_CFG_REQ",
    0x0064    : "ID_CSDR_CPROC_1X_QPCH_CFG_CNF",
    0x0065    : "ID_CSDR_CPROC_1X_ERROR_IND",
    0x0066    : "ID_CPROC_CSDR_1X_ACTIVE_REQ",
    0x0067    : "ID_CSDR_CPROC_1X_ACTIVE_IND",
    0x0068    : "ID_CPROC_CSDR_AFC_PPM_REQ",
    0x0069    : "ID_CSDR_CPROC_AFC_PPM_IND",
    0x006A    : "ID_CPROC_CSDR_1X_SAR_CTRL_REQ",
    0x006B    : "ID_CPROC_CSDR_1X_SET_TEMPERATURE_REQ",
    0x006C    : "ID_CPROC_CSDR_1X_TIME_SYNC_REQ",
    0x006D    : "ID_CSDR_CPROC_1X_TIME_SYNC_IND",
    0x006E    : "ID_CPROC_CSDR_1X_TRAFFIC_INFO_REQ",
    0x006F    : "ID_CSDR_CPROC_1X_VE_MODE_IND",
    0x0070    : "ID_CPROC_CSDR_1X_WAKEUP_REQ",
    0x0071    : "ID_CSDR_CPROC_1X_WAKEUP_CNF",
    0x0072    : "ID_CSDR_CPROC_1X_RF_RESET_DETECT_IND",
    0x0073    : "ID_CPROC_CSDR_1X_SET_ETDELAY_REQ",
    0x0074    : "ID_CPROC_CSDR_1X_SAR_CTRL_ADDITIONAL_REQ",
    0x0075    : "ID_CSDR_CPROC_1X_TX_STATE_IND",
    0x0076    : "ID_CPROC_CSDR_1X_NV_UPDATE_IND",
    0x0077    : "ID_CSDR_CPROC_1X_CM_MISS_TIME_IND",
    0x0100    : "ID_CPROC_CSDR_1X_RXOFF_REQ",
    0x0101    : "ID_CSDR_CPROC_1X_RXOFF_CNF",
    0x0102    : "ID_CPROC_CSDR_1X_RXON_REQ",
    0x0103    : "ID_CSDR_CPROC_1X_RXON_CNF",
    0x0104    : "ID_CPROC_CSDR_1X_SLEEP_REQ",
    0x0105    : "ID_CPROC_CSDR_1X_SET_DIVERSITY_REQ",
    0x0106    : "ID_CPROC_CSDR_1X_RF_RESET_REQ",
    0x0107    : "ID_CSDR_CPROC_1X_RF_RESET_CNF",
    0x2FF2    : "ID_CPROC_CSDR_1X_SET_POWER_REQ",
    0x2FF4    : "ID_CSDR_CPROC_1X_SET_POWER_CNF",
    0x2FF7    : "ID_CPROC_CSDR_1X_COMMON_QUERY_REQ",
    0x2FF8    : "ID_CSDR_CPROC_1X_COMMON_QUERY_CNF",
}

def get_cproc_csdr_1x_msg_str( MsgId, usVersion):
    if (usVersion == 0x0000):
        for MsgIdIndex in cproc_csdr_1x_msg_enum_table_0000.keys():
            if MsgIdIndex == MsgId:
                return cproc_csdr_1x_msg_enum_table_0000[MsgIdIndex]
        return "unknown"
    elif (usVersion == 0x0100 or usVersion == 0x0103):
        for MsgIdIndex in cproc_csdr_1x_msg_enum_table_0100.keys():
            if MsgIdIndex == MsgId:
                return cproc_csdr_1x_msg_enum_table_0100[MsgIdIndex]
        return "unknown"
    elif (usVersion == 0x0101):
        for MsgIdIndex in cproc_csdr_1x_msg_enum_table_0100.keys():
            if MsgIdIndex == MsgId:
                return cproc_csdr_1x_msg_enum_table_0100[MsgIdIndex]
        return "unknown"
    elif (usVersion == 0x0102):
        for MsgIdIndex in cproc_csdr_1x_msg_enum_table_0100.keys():
            if MsgIdIndex == MsgId:
                return cproc_csdr_1x_msg_enum_table_0100[MsgIdIndex]
        return "unknown"
    else:
        return "unknown"